/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Target DFA Packetizer Tables                                               *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/


#include "llvm/CodeGen/DFAPacketizer.h"
namespace llvm {

// Input format:
#define DFA_MAX_RESTERMS        4	// maximum AND'ed resource terms
#define DFA_MAX_RESOURCES       16	// maximum resource bits in one term
} // end namespace llvm

namespace {
// Input NFA has 0 states with 0 transitions.
// Generated DFA has 1 states with 0 transitions.

// A zero-terminated sequence of NFA state transitions. Every DFA
// transition implies a set of NFA transitions. These are referred
// to by index in AMDGPUTransitions[].
std::array<NfaStatePair, 0> AMDGPUTransitionInfo = {{
}};

// A transition in the generated AMDGPU DFA.
struct AMDGPUTransition {
  unsigned FromDfaState; // The transitioned-from DFA state.
  uint64_t Action;       // The input symbol that causes this transition.
  unsigned ToDfaState;   // The transitioned-to DFA state.
  unsigned InfoIdx;      // Start index into AMDGPUTransitionInfo.
};

// A table of DFA transitions, ordered by {FromDfaState, Action}.
// The initial state is 1, not zero.
std::array<AMDGPUTransition, 0> AMDGPUTransitions = {{

}};

} // end anonymous namespace

namespace llvm {
DFAPacketizer *AMDGPUGenSubtargetInfo::createDFAPacketizer(const InstrItineraryData *IID) const {
  static Automaton<uint64_t> A(ArrayRef<AMDGPUTransition>(AMDGPUTransitions), AMDGPUTransitionInfo);
  return new DFAPacketizer(IID, A);

}

} // end namespace llvm
